Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Delayed_Buffering_Sync_Strategy Class Reference

Delay the buffering decision until the transport blocks. More...

`#include <Sync_Strategies.h>`

Inheritance diagram for TAO_Delayed_Buffering_Sync_Strategy:

[legend]
Collaboration diagram for TAO_Delayed_Buffering_Sync_Strategy:

[legend]
List of all members.

## Public Methods
virtual int | must_queue (int queue_empty)
| Return 1 if a message must be queued.

## Detailed Description

Delay the buffering decision until the transport blocks.

If the queue is empty the transport will try to send immediately.

## Member Function Documentation

int TAO_Delayed_Buffering_Sync_Strategy::must_queue | ( | int | queue_empty | ) | `[virtual]`

| Return 1 if a message must be queued. Reimplemented from TAO_Eager_Buffering_Sync_Strategy.

The documentation for this class was generated from the following files:

- Sync_Strategies.h
- Sync_Strategies.cpp